Page MenuHomeFreeBSD

editors/texworks: Update to version 0.6.2
ClosedPublic

Authored by rigoletto on Sep 14 2018, 10:46 PM.

Details

Summary

PR: 200302 ( re-using )

  • update to v0.6.2
  • switch to Qt5

Thanks!

Test Plan

SOLVED

Both FLAVORs ( Qt4 and Qt5 ) build fine using make, but the Qt5
version won't build on poudriere:

CMake Error at /usr/local/share/cmake/Modules/FindQt4.cmake:1313 (message):
  Found unsuitable Qt version "5.11.1" from /usr/local/bin/qmake, this code
  requires Qt 4.x
Call Stack (most recent call first):
  CMakeLists.txt:274 (FIND_PACKAGE)

For some reason on poudriere it is ignoring something, and trying to build the
Qt4 version instead.

Please, note:

  • the Qt5 version is default upstream
  • building the Qt5 version using make doesn't ever need:
CMAKE_ARGS+=	-DDESIRED_QT_VERSION=5

SOLVED

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 19638
Build 19208: arc lint + arc unit

Event Timeline

rigoletto created this revision.Sep 14 2018, 10:46 PM
rigoletto edited the test plan for this revision. (Show Details)
rigoletto edited the test plan for this revision. (Show Details)
linimon retitled this revision from Update to version 0.6.2 to editors/texworks: Update to version 0.6.2.Sep 15 2018, 12:33 AM
mat added inline comments.Sep 15 2018, 6:45 AM
editors/texworks/Makefile
8

It is better to use the flavor helpers and use static strings.

It looks like you are missing a flag to make it build the Qt5 version then :)

editors/texworks/Makefile
71

^qmake should probably be _build only.

77

^ same here

patch-TeXworks.pro is not yet removed, I think

I think you're missing dependencies in USE_QT for Qt5. The CMakeFiles.txt (line 257) falls to Qt4 if the desired version is Qt=4 or Qt5 has not been found.

You can find the components it looks for on lines 200-208 -- in paritcular, it is probably uitools.

rigoletto updated this revision to Diff 48070.Sep 15 2018, 2:53 PM
rigoletto marked 3 inline comments as done.

Fixing. Build fine now. :-)

Thanks!

mat accepted this revision as: portmgr.Sep 16 2018, 8:38 PM

flavors looks ok. If there are ports depending on this make sure they depend on the correct pkgname.

rigoletto edited the summary of this revision. (Show Details)Sep 18 2018, 3:49 AM
rigoletto edited the test plan for this revision. (Show Details)

There is nothing depending on editors/texworks. Thanks.

rigoletto updated this revision to Diff 48149.Sep 18 2018, 4:07 AM

Some necessary improvements. Thanks!

rigoletto updated this revision to Diff 48150.Sep 18 2018, 4:28 AM

Get rid of the pkg-plist file.

rigoletto edited the test plan for this revision. (Show Details)Sep 18 2018, 4:29 AM
mat requested changes to this revision.Sep 18 2018, 7:06 AM
mat added inline comments.
editors/texworks/Makefile
18

Flavors are local to a port and is not transitive. FLAVOR cannot be used in dependencies lines.

qt4_LIB_DEPENDS=  libpoppler-qt4.so:graphics/poppler-qt4
qt5_LIB_DEPENDS=  libpoppler-qt5.so:graphics/poppler-qt5
This revision now requires changes to proceed.Sep 18 2018, 7:06 AM
rigoletto updated this revision to Diff 48151.Sep 18 2018, 7:23 AM

Fix FLAVOR specific dependencies.

Thanks!

rigoletto marked an inline comment as done.Sep 18 2018, 7:23 AM

Done.

mat accepted this revision as: portmgr.Sep 18 2018, 5:05 PM

ok, now, it's ok :-)

Oki then, let's give @hrs some time to look at it :)

tcberner requested changes to this revision.Oct 7 2018, 11:46 AM

Please get rid of the flavors again. poppler-qt4 will be dropped from the tree soon, so it makes sense to switch this to Qt5 only already.

This revision now requires changes to proceed.Oct 7 2018, 11:46 AM
rigoletto edited the summary of this revision. (Show Details)Oct 7 2018, 8:07 PM
rigoletto updated this revision to Diff 48874.Oct 7 2018, 9:33 PM

De-FLAVORizing.

tcberner added inline comments.Oct 14 2018, 5:59 PM
editors/texworks/Makefile
36

^ no need for +=

Can you prepare a commit message? [also remember there is a PR for this]

rigoletto added a comment.EditedOct 14 2018, 6:14 PM

editors/texworks: Update to version 0.6.2

Texworks is available now as Qt5 only because the upcoming poppler update will not include a Qt4 version.

PR: 200302
Submitted by: tkato432@yahoo.com (original version)
Reviewed by: mat (mentor)
Approved by: tcberner (mentor), hrs (maintainer, timeout)
Differential Revision: https://reviews.freebsd.org/D17177

tcberner accepted this revision.EditedOct 14 2018, 6:21 PM

Macro makeitso:

[with the += -> = change ^^]

rigoletto updated this revision to Diff 49139.Oct 14 2018, 6:23 PM

Removing '+' from CMAKE_ARG.

Thanks!

This revision was not accepted when it landed; it landed in state Needs Review.Oct 14 2018, 6:28 PM
This revision was automatically updated to reflect the committed changes.
mat added inline comments.Oct 15 2018, 7:41 AM
head/editors/texworks/Makefile
45–51 ↗(On Diff #49140)

Wrong place in the Makefile. They should go before options. See Chapter 15. Order of Variables in Port Makefiles.